Bug 52529 - Problems with option for desktop
Problems with option for desktop
Product: Red Hat Public Beta
Classification: Retired
Component: nautilus (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Havoc Pennington
Aaron Brown
Depends On:
  Show dependency treegraph
Reported: 2001-08-24 14:36 EDT by LENHOF
Modified: 2007-04-18 12:36 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2001-10-26 05:03:29 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description LENHOF 2001-08-24 14:36:50 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:0.9.2) Gecko/20010809

Description of problem:
This option is very bad for inexperienced user which can have a lot of
trouble after

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
Hi guys,

A little tricky one,

I tried to deselect the option "using nautilus to draw the desktop".
So just after I closed every window of nautilus...
Try to click on "Start Here" on the gnome panel..

Two little crash : History Panel & Notices Panel (Panel of
Nautilus)...first problem

Hit OK on both and continue...

Go to Preferences-Edit Preferences-Windows and Desktop

NO OPTION for using nautilus to draw the desktop... Second Problem

Using Gnome Foot-Applications-Nautilus does'nt have the same problem...so I
could recover using it...but an inexperienced user ???

Third problem...Including gmc is for me an another problem....when
launching in the same time gmc and nautilus...

--> I think a discussion have to go on these points...but for me disabling
this option for everybody could be an easy solution...but perhaps there are
other solutions...

Sorry for my bad english,

Have fun

Jean-Yves LENHOF

Additional info:
Comment 1 David Mason 2001-08-24 14:53:05 EDT
I couldn't reproduce the crashes but I was dismayed to find the 'Use nautilus to
draw the desktop' option disappeared after selecting it - now I  cannot turn it
back on - hp see your test box
Comment 2 Havoc Pennington 2001-08-24 17:49:34 EDT
/usr/share/nautilus/starthere.desktop should not contain the --no-desktop and
--no-default-window options. A mustfix bug.

I can't reproduce the thing Dave found yet...
Comment 3 Havoc Pennington 2001-08-28 14:33:37 EDT
The mustfix aspect of this (the .desktop file for Start Here) has been fixed.
This means you can now toggle the Nautilus "has desktop" setting after launching
from the panel icon.

I can't seem to reliably reproduce the bug added by Dave, and running gmc and
Nautilus at once isn't an issue we can fix in time for this release. (This bug
report should really be split up, one report per issue...)
Comment 4 LENHOF 2001-08-28 15:04:49 EDT
Hi guys,

Removing --no-desktop and --no-default-window off the .desktop help a lot about 
the "Use nautilus to draw the desktop". So this one is fixed...

But I still have two little crash for the History Panel and Notice Panel when
launching Nautilus by using the "Start Here" icon on the panel...

So to reproduce it :
- Click "start-here" icon on the panel
- Unselect "Use nautilus to draw the desktop"
- Close all windows fron the File menu
- Click "start-here" icon on the panel
---> Two little crash

The problem does'nt occur when :
- Click "start-here" icon on the panel
- Unselect "Use nautilus to draw the desktop"
- Close all windows fron the File menu
- Start Nautilus from the "Foot Menu-Programs-Applications-Nautilus"
---> No crash

Hope it could helps...

Jean-Yves LENHOF
Comment 5 Kamil Iskra 2001-10-26 05:03:23 EDT
Hi guys,

I have a problem with nautilus-1.0.4-43 (from the RedHat 7.2 final (enigma))
and I think this bug is related, if not the same.

What I wanted to do was basically to get rid of nautilus from the desktop,
and also make it not launch on log-in.

So I unchecked the "using nautilus to draw the desktop" option in Nautilus
preferences, and later terminated nautilus and saved the current session on

However, I noticed that now, when I exit nautilus (started from the panel),
it leaves a core file behind.  Experiments have shown that turning the "draw
the desktop" option back on fixes it (so it's most probably unrelated to the
fact that I removed it from the session startup).
So, to reiterate, the conditions to reproduce the crash seem to be: turn
the "draw the desktop" option off and simply close nautilus.  Perhaps one
more restart and close is needed.  For me it leaves a core file behind every
Comment 6 Havoc Pennington 2002-02-28 12:20:13 EST
Deferring noncritical fixes until we move to the GNOME 2 codebase, where active
development is ongoing.

Note You need to log in before you can comment on or make changes to this bug.